From 73cd3b6ead137dd5a53c9b0a8a4e11ad5d9b2596 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 17 Jul 2009 09:11:16 +0200
Subject: [PATCH] Add explicit dep on byacc for ARM. (quick fix. Needs investigation)

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 nqc.spec |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

diff --git a/nqc.spec b/nqc.spec
index 7f625a2..486e365 100644
--- a/nqc.spec
+++ b/nqc.spec
@@ -1,6 +1,6 @@
 Name:           nqc
 Version:        3.1.6
-Release:        4%{?dist}
+Release:        4%{?dist}.fa1
 Summary:        Not Quite C compiler
 
 Group:          Development/Languages
@@ -22,6 +22,9 @@ Source12:       http://people.cs.uu.nl/markov/lego/tutorial_t.doc
 Source13:       http://people.cs.uu.nl/markov/lego/tutorial_p.pdf
 Patch0:         nqc-3.1.6-linux.patch
 BuildRequires:  flex >= 2.5 bison >= 2.0
+%ifarch %{arm}
+BuildRequires:  byacc
+%endif
 Requires(pre):  %{_sbindir}/groupadd
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
@@ -171,6 +174,9 @@ fi
 %doc nqc-tutorial-pt.pdf
 
 %changelog
+* Fri Jul 17 2009 Jitesh Shah <jiteshs@marvell.com> - 3.1.6-4.fa1
+- Add explicit dep on yacc (Quick fix. NEeds investigation)
+
 * Wed Apr  1 2009 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.6-4
 - Added multi-lingual doc packages and split English docs into their own package
 - Added -p to udev rules file on install
-- 
1.5.5.6

